#!/usr/bin/python

import anydbm
import sys
import md5


if len(sys.argv) != 3:
    print 'pythonfilter_importmailaddresses.py <filename> <filetoimport>'
    sys.exit(1)

filename = sys.argv[1]
filenametoimport = sys.argv[2]


try:
    # the flag "n" always builds a new database
    hash = anydbm.open(filename,"n")
except:
    sys.stderr.write("Failed to open the given file %s\n" % filename)
    sys.exit(1)


try:
    filetoimport = open(filenametoimport,"r")
except:
    sys.stderr.write("Failed to open the given file %s\n" % filenametoimport)
    sys.exit(1)


# we can't sort file based hashes directly
memList = []

for line in filetoimport.readlines():
    # strip trailing newline
    line = line.strip().lower()
    emailMD5 = md5.new(line)
    memList.append(emailMD5.hexdigest())
    

memList.sort()

for entry in memList:
    hash[entry] = None


filetoimport.close()
